import {
  add,
  update,
  send
} from '@/api/base'

export function getRecordConfig (deviceId) {
  return send({
    url: '/deviceStream/config',
    method: 'GET',
    params: { deviceId }
  })
}

export function addRecordConfig (data) {
  return add({
    url: '/deviceStream/config',
    method: 'POST',
    data
  })
}

export function updateRecordConfig (data) {
  return update({
    url: '/deviceStream/config',
    method: 'PUT',
    data
  })
}
